Description

Working with lots of projects which uses many different custom fields makes Redmine really hard to administrate because we

currently have a raw list of 100 of them. Some of them are common, some are only used in particular projects...

It would be nice, in my opinion:

- To be able to create custom field categories, then assign a category to custom fields (each custom field could have 0-1 category).

- Add filtering capabilities on the admin page for custom fields, in order to retrieve them more easily by category / name...

In the future, this would allow to improve the way custom fields are displayed on an issue, because we could have then two levels of

sorting (by category / inside category sorting)

History

#1 - 2016-08-12 21:47 - Vincent C.

+1

#2 - 2016-08-22 12:51 - Toshi MARUYAMA

- Category set to Custom fields

#3 - 2019-10-07 15:29 - Jérôme BATAILLE

Hi, we have developed a patch that is a generalization of Categories sharing.

I think it replies partially to the need expressed here.

You can check it here :

http://www.redmine.org/plugins/redmine_smile_project_enumerations_custom_field_format
